/* blink.c - blink led example
 * run '$ make' to check for erors,
 * '$ make writeflash' to compile and upload
 */

// Define clock speed for delay.h:
// (8MHz internal crystal; /8 prescaler):
#define F_CPU 1000000L

#include <avr/io.h>
#include <util/delay.h>

#define LED PB0 

void delay(int ms) {
  int i;
  for (i=0; i<ms; i++) {
    _delay_ms(1);
  }
}

#define LED1 PB0
#define LED2 PB1
#define LED3 PB2
#define LED4 PB3
#define LED5 PB4

int main(void){
  //setup
  DDRB |= (1<<LED1); //set as an output
  DDRB |= (1<<LED2);
  DDRB |= (1<<LED3);
  DDRB |= (1<<LED4);
  DDRB |= (1<<LED5);

  PORTB &=~(1<<LED1);//start on
  PORTB &=~(1<<LED2);//start off
  PORTB &=~(1<<LED3);
  PORTB &=~(1<<LED4);
  PORTB &=~(1<<LED5);
  int delay_time=100;
  //main loop
  while(1){
    delay(delay_time);
    PORTB = (1<<LED1);
    delay(delay_time);
    PORTB = (1<<LED2);
    delay(delay_time);
    PORTB = (1<<LED3);
    delay(delay_time);
    PORTB = (1<<LED4);
    delay(delay_time);
    PORTB = (1<<LED5);
    delay(delay_time);
    PORTB = (1<<LED4);
    delay(delay_time);
    PORTB = (1<<LED3);
    delay(delay_time);
    PORTB = (1<<LED2);
     }
  return 0;
}
